---
- name: "[SDDM] Install"
  ansible.builtin.package:
    name:
      - sddm
    state: latest
  become: true

- name: "[SDDM] Create config folder"
  ansible.builtin.file:
    mode: 0755
    path: "/etc/sddm.conf.d/"
    state: directory
  become: true

- name: "[SDDM] Configure"
  ansible.builtin.copy:
    mode: 0755
    src: "./sddm.conf.d/"
    dest: "/etc/sddm.conf.d/"
  become: true

- name: "[SDDM] Configure theme"
  ansible.builtin.copy:
    mode: 0755
    src: "./themes/"
    dest: "/usr/share/sddm/themes/"
  become: true
